<?php

namespace MediaCloud\Vendor\Aws\ACMPCA;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS Certificate Manager Private Certificate Authority** service.
 * @method \MediaCloud\Vendor\Aws\Result createCertificateAuthority(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createCertificateAuthorityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createCertificateAuthorityAuditReport(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createCertificateAuthorityAuditReportAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createPermission(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createPermissionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteCertificateAuthority(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteCertificateAuthorityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deletePermission(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deletePermissionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deletePolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deletePolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeCertificateAuthority(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeCertificateAuthorityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeCertificateAuthorityAuditReport(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeCertificateAuthorityAuditReportAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getCertificate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getCertificateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getCertificateAuthorityCertificate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getCertificateAuthorityCertificateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getCertificateAuthorityCsr(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getCertificateAuthorityCsrAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result importCertificateAuthorityCertificate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise importCertificateAuthorityCertificateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result issueCertificate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise issueCertificateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listCertificateAuthorities(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listCertificateAuthoritiesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result restoreCertificateAuthority(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise restoreCertificateAuthorityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result revokeCertificate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise revokeCertificateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagCertificateAuthority(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagCertificateAuthorityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagCertificateAuthority(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagCertificateAuthorityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateCertificateAuthority(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateCertificateAuthorityAsync(array $args = [])
 */
class ACMPCAClient extends AwsClient {}
