<?php

namespace MediaCloud\Vendor\Aws\AlexaForBusiness;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Alexa For Business** service.
 * @method \MediaCloud\Vendor\Aws\Result approveSkill(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise approveSkillAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associateContactWithAddressBook(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateContactWithAddressBookAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associateDeviceWithNetworkProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateDeviceWithNetworkProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associateDeviceWithRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateDeviceWithRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associateSkillGroupWithRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateSkillGroupWithRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associateSkillWithSkillGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateSkillWithSkillGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associateSkillWithUsers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateSkillWithUsersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createAddressBook(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createAddressBookAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createBusinessReportSchedule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createBusinessReportScheduleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createConferenceProvider(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createConferenceProviderAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createContact(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createContactAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createGatewayGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createGatewayGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createNetworkProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createNetworkProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createSkillGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createSkillGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAddressBook(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAddressBookAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteBusinessReportSchedule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteBusinessReportScheduleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteConferenceProvider(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteConferenceProviderAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteContact(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteContactAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDevice(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDeviceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDeviceUsageData(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDeviceUsageDataAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteGatewayGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteGatewayGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteNetworkProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteNetworkProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRoomSkillParameter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRoomSkillParameterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteSkillAuthorization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteSkillAuthorizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteSkillGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteSkillGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateContactFromAddressBook(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateContactFromAddressBookAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateDeviceFromRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateDeviceFromRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateSkillFromSkillGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateSkillFromSkillGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateSkillFromUsers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateSkillFromUsersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateSkillGroupFromRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateSkillGroupFromRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result forgetSmartHomeAppliances(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise forgetSmartHomeAppliancesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAddressBook(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAddressBookAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getConferencePreference(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getConferencePreferenceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getConferenceProvider(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getConferenceProviderAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getContact(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getContactAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDevice(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDeviceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getGateway(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getGatewayAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getGatewayGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getGatewayGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInvitationConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInvitationConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getNetworkProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getNetworkProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRoomSkillParameter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRoomSkillParameterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSkillGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSkillGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listBusinessReportSchedules(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listBusinessReportSchedulesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listConferenceProviders(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listConferenceProvidersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDeviceEvents(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDeviceEventsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listGatewayGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listGatewayGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listGateways(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listGatewaysAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listSkills(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listSkillsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listSkillsStoreCategories(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listSkillsStoreCategoriesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listSkillsStoreSkillsByCategory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listSkillsStoreSkillsByCategoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listSmartHomeAppliances(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listSmartHomeAppliancesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putConferencePreference(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putConferencePreferenceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putInvitationConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putInvitationConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putRoomSkillParameter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putRoomSkillParameterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putSkillAuthorization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putSkillAuthorizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerAVSDevice(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerAVSDeviceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result rejectSkill(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise rejectSkillAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result resolveRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise resolveRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result revokeInvitation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise revokeInvitationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result searchAddressBooks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise searchAddressBooksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result searchContacts(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise searchContactsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result searchDevices(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise searchDevicesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result searchNetworkProfiles(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise searchNetworkProfilesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result searchProfiles(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise searchProfilesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result searchRooms(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise searchRoomsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result searchSkillGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise searchSkillGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result searchUsers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise searchUsersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result sendAnnouncement(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise sendAnnouncementAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result sendInvitation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise sendInvitationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startDeviceSync(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startDeviceSyncAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startSmartHomeApplianceDiscovery(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startSmartHomeApplianceDiscoveryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateAddressBook(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateAddressBookAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateBusinessReportSchedule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateBusinessReportScheduleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateConferenceProvider(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateConferenceProviderAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateContact(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateContactAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDevice(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDeviceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateGateway(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateGatewayAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateGatewayGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateGatewayGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateNetworkProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateNetworkProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateSkillGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateSkillGroupAsync(array $args = [])
 */
class AlexaForBusinessClient extends AwsClient {}
