<?php

namespace MediaCloud\Vendor\Aws\AppConfig;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon AppConfig** service.
 * @method \MediaCloud\Vendor\Aws\Result createApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createConfigurationProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createConfigurationProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDeploymentStrategy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDeploymentStrategyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createEnvironment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createEnvironmentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createHostedConfigurationVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createHostedConfigurationVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteConfigurationProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteConfigurationProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDeploymentStrategy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDeploymentStrategyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteEnvironment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteEnvironmentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteHostedConfigurationVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteHostedConfigurationVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getConfigurationProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getConfigurationProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDeployment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDeploymentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDeploymentStrategy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDeploymentStrategyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getEnvironment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getEnvironmentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getHostedConfigurationVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getHostedConfigurationVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listApplications(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listApplicationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listConfigurationProfiles(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listConfigurationProfilesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDeploymentStrategies(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDeploymentStrategiesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDeployments(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDeploymentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listEnvironments(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listEnvironmentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listHostedConfigurationVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listHostedConfigurationVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startDeployment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startDeploymentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopDeployment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopDeploymentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateConfigurationProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateConfigurationProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDeploymentStrategy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDeploymentStrategyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateEnvironment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateEnvironmentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result validateConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise validateConfigurationAsync(array $args = [])
 */
class AppConfigClient extends AwsClient {}
