<?php

namespace MediaCloud\Vendor\Aws\ApplicationInsights;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon CloudWatch Application Insights** service.
 * @method \MediaCloud\Vendor\Aws\Result createApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createComponent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createComponentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createLogPattern(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createLogPatternAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteComponent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteComponentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteLogPattern(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteLogPatternAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeComponent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeComponentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeComponentConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeComponentConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeComponentConfigurationRecommendation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeComponentConfigurationRecommendationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeLogPattern(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeLogPatternAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeObservation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeObservationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeProblem(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeProblemAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeProblemObservations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeProblemObservationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listApplications(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listApplicationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listComponents(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listComponentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listConfigurationHistory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listConfigurationHistoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listLogPatternSets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listLogPatternSetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listLogPatterns(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listLogPatternsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listProblems(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listProblemsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateComponent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateComponentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateComponentConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateComponentConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateLogPattern(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateLogPatternAsync(array $args = [])
 */
class ApplicationInsightsClient extends AwsClient {}
