<?php

namespace MediaCloud\Vendor\Aws\Backup;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS Backup** service.
 * @method \MediaCloud\Vendor\Aws\Result createBackupPlan(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createBackupPlanAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createBackupSelection(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createBackupSelectionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createBackupVault(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createBackupVaultAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteBackupPlan(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteBackupPlanAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteBackupSelection(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteBackupSelectionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteBackupVault(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteBackupVaultAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteBackupVaultAccessPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteBackupVaultAccessPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteBackupVaultNotifications(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteBackupVaultNotificationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRecoveryPoint(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRecoveryPointAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeBackupJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeBackupJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeBackupVault(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeBackupVaultAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeCopyJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeCopyJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeProtectedResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeProtectedResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeRecoveryPoint(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeRecoveryPointAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeRegionSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeRegionSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeRestoreJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeRestoreJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result exportBackupPlanTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise exportBackupPlanTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBackupPlan(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBackupPlanAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBackupPlanFromJSON(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBackupPlanFromJSONAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBackupPlanFromTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBackupPlanFromTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBackupSelection(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBackupSelectionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBackupVaultAccessPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBackupVaultAccessPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBackupVaultNotifications(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBackupVaultNotificationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRecoveryPointRestoreMetadata(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRecoveryPointRestoreMetadataAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSupportedResourceTypes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSupportedResourceTypesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listBackupJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listBackupJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listBackupPlanTemplates(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listBackupPlanTemplatesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listBackupPlanVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listBackupPlanVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listBackupPlans(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listBackupPlansAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listBackupSelections(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listBackupSelectionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listBackupVaults(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listBackupVaultsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listCopyJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listCopyJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listProtectedResources(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listProtectedResourcesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRecoveryPointsByBackupVault(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRecoveryPointsByBackupVaultAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRecoveryPointsByResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRecoveryPointsByResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRestoreJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRestoreJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putBackupVaultAccessPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putBackupVaultAccessPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putBackupVaultNotifications(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putBackupVaultNotificationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startBackupJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startBackupJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startCopyJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startCopyJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startRestoreJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startRestoreJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopBackupJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopBackupJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateBackupPlan(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateBackupPlanAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRecoveryPointLifecycle(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRecoveryPointLifecycleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRegionSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRegionSettingsAsync(array $args = [])
 */
class BackupClient extends AwsClient {}
