<?php

namespace MediaCloud\Vendor\Aws\Chime;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Chime** service.
 * @method \MediaCloud\Vendor\Aws\Result associatePhoneNumberWithUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associatePhoneNumberWithUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associatePhoneNumbersWithVoiceConnector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associatePhoneNumbersWithVoiceConnectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associatePhoneNumbersWithVoiceConnectorGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associatePhoneNumbersWithVoiceConnectorGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associateSigninDelegateGroupsWithAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateSigninDelegateGroupsWithAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchCreateAttendee(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchCreateAttendeeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchCreateRoomMembership(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchCreateRoomMembershipAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchDeletePhoneNumber(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchDeletePhoneNumberAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchSuspendUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchSuspendUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchUnsuspendUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchUnsuspendUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchUpdatePhoneNumber(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchUpdatePhoneNumberAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchUpdateUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchUpdateUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createAttendee(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createAttendeeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createBot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createBotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createMeeting(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createMeetingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createMeetingWithAttendees(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createMeetingWithAttendeesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createPhoneNumberOrder(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createPhoneNumberOrderAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createProxySession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createProxySessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createRoomMembership(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createRoomMembershipAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createVoiceConnector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createVoiceConnectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createVoiceConnectorGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createVoiceConnectorGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAttendee(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAttendeeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteEventsConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteEventsConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteMeeting(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteMeetingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deletePhoneNumber(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deletePhoneNumberAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteProxySession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteProxySessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRoomMembership(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRoomMembershipAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteVoiceConnector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteVoiceConnectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteVoiceConnectorEmergencyCallingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteVoiceConnectorEmergencyCallingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteVoiceConnectorGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteVoiceConnectorGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteVoiceConnectorOrigination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteVoiceConnectorOriginationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteVoiceConnectorProxy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteVoiceConnectorProxyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteVoiceConnectorStreamingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteVoiceConnectorStreamingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteVoiceConnectorTermination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteVoiceConnectorTerminationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteVoiceConnectorTerminationCredentials(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteVoiceConnectorTerminationCredentialsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociatePhoneNumberFromUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociatePhoneNumberFromUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociatePhoneNumbersFromVoiceConnector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociatePhoneNumbersFromVoiceConnectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociatePhoneNumbersFromVoiceConnectorGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociatePhoneNumbersFromVoiceConnectorGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateSigninDelegateGroupsFromAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateSigninDelegateGroupsFromAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAccountSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAccountSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAttendee(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAttendeeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getEventsConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getEventsConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getGlobalSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getGlobalSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getMeeting(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getMeetingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getPhoneNumber(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getPhoneNumberAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getPhoneNumberOrder(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getPhoneNumberOrderAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getPhoneNumberSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getPhoneNumberSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getProxySession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getProxySessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRetentionSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRetentionSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getUserSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getUserSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getVoiceConnector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getVoiceConnectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getVoiceConnectorEmergencyCallingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getVoiceConnectorEmergencyCallingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getVoiceConnectorGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getVoiceConnectorGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getVoiceConnectorLoggingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getVoiceConnectorLoggingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getVoiceConnectorOrigination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getVoiceConnectorOriginationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getVoiceConnectorProxy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getVoiceConnectorProxyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getVoiceConnectorStreamingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getVoiceConnectorStreamingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getVoiceConnectorTermination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getVoiceConnectorTerminationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getVoiceConnectorTerminationHealth(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getVoiceConnectorTerminationHealthAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result inviteUsers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise inviteUsersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAccounts(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAccountsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAttendeeTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAttendeeTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAttendees(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAttendeesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listBots(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listBotsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listMeetingTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listMeetingTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listMeetings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listMeetingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPhoneNumberOrders(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPhoneNumberOrdersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPhoneNumbers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPhoneNumbersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listProxySessions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listProxySessionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRoomMemberships(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRoomMembershipsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRooms(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRoomsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listUsers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listUsersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listVoiceConnectorGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listVoiceConnectorGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listVoiceConnectorTerminationCredentials(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listVoiceConnectorTerminationCredentialsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listVoiceConnectors(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listVoiceConnectorsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result logoutUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise logoutUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putEventsConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putEventsConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putRetentionSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putRetentionSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putVoiceConnectorEmergencyCallingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putVoiceConnectorEmergencyCallingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putVoiceConnectorLoggingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putVoiceConnectorLoggingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putVoiceConnectorOrigination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putVoiceConnectorOriginationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putVoiceConnectorProxy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putVoiceConnectorProxyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putVoiceConnectorStreamingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putVoiceConnectorStreamingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putVoiceConnectorTermination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putVoiceConnectorTerminationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putVoiceConnectorTerminationCredentials(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putVoiceConnectorTerminationCredentialsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result redactConversationMessage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise redactConversationMessageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result redactRoomMessage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise redactRoomMessageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result regenerateSecurityToken(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise regenerateSecurityTokenAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result resetPersonalPIN(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise resetPersonalPINAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result restorePhoneNumber(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise restorePhoneNumberAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result searchAvailablePhoneNumbers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise searchAvailablePhoneNumbersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagAttendee(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagAttendeeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagMeeting(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagMeetingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagAttendee(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagAttendeeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagMeeting(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagMeetingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateAccountSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateAccountSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateBot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateBotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateGlobalSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateGlobalSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updatePhoneNumber(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updatePhoneNumberAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updatePhoneNumberSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updatePhoneNumberSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateProxySession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateProxySessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRoom(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRoomAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRoomMembership(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRoomMembershipAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateUserSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateUserSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateVoiceConnector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateVoiceConnectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateVoiceConnectorGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateVoiceConnectorGroupAsync(array $args = [])
 */
class ChimeClient extends AwsClient {}
