<?php

namespace MediaCloud\Vendor\Aws\CloudDirectory;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon CloudDirectory** service.
 * @method \MediaCloud\Vendor\Aws\Result addFacetToObject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise addFacetToObjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result applySchema(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise applySchemaAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result attachObject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise attachObjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result attachPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise attachPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result attachToIndex(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise attachToIndexAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result attachTypedLink(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise attachTypedLinkAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchRead(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchReadAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchWrite(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchWriteAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDirectory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDirectoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createFacet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createFacetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createIndex(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createIndexAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createObject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createObjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createSchema(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createSchemaAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createTypedLinkFacet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createTypedLinkFacetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDirectory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDirectoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteFacet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteFacetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteObject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteObjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteSchema(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteSchemaAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteTypedLinkFacet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteTypedLinkFacetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detachFromIndex(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detachFromIndexAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detachObject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detachObjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detachPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detachPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detachTypedLink(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detachTypedLinkAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disableDirectory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disableDirectoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enableDirectory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enableDirectoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAppliedSchemaVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAppliedSchemaVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDirectory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDirectoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getFacet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getFacetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getLinkAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getLinkAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getObjectAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getObjectAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getObjectInformation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getObjectInformationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSchemaAsJson(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSchemaAsJsonAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getTypedLinkFacetInformation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getTypedLinkFacetInformationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAppliedSchemaArns(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAppliedSchemaArnsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAttachedIndices(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAttachedIndicesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDevelopmentSchemaArns(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDevelopmentSchemaArnsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDirectories(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDirectoriesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listFacetAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listFacetAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listFacetNames(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listFacetNamesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listIncomingTypedLinks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listIncomingTypedLinksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listIndex(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listIndexAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listObjectAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listObjectAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listObjectChildren(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listObjectChildrenAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listObjectParentPaths(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listObjectParentPathsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listObjectParents(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listObjectParentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listObjectPolicies(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listObjectPoliciesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listOutgoingTypedLinks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listOutgoingTypedLinksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPolicyAttachments(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPolicyAttachmentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPublishedSchemaArns(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPublishedSchemaArnsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTypedLinkFacetAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTypedLinkFacetAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTypedLinkFacetNames(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTypedLinkFacetNamesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result lookupPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise lookupPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result publishSchema(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise publishSchemaAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putSchemaFromJson(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putSchemaFromJsonAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result removeFacetFromObject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise removeFacetFromObjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateFacet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateFacetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateLinkAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateLinkAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateObjectAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateObjectAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateSchema(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateSchemaAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateTypedLinkFacet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateTypedLinkFacetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result upgradeAppliedSchema(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise upgradeAppliedSchemaAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result upgradePublishedSchema(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise upgradePublishedSchemaAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listManagedSchemaArns(array $args = []) (supported in versions 2017-01-11)
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listManagedSchemaArnsAsync(array $args = []) (supported in versions 2017-01-11)
 */
class CloudDirectoryClient extends AwsClient {}
