<?php

namespace MediaCloud\Vendor\Aws\CodeArtifact;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **CodeArtifact** service.
 * @method \MediaCloud\Vendor\Aws\Result associateExternalConnection(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateExternalConnectionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result copyPackageVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise copyPackageVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createRepository(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createRepositoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDomainPermissionsPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDomainPermissionsPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deletePackageVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deletePackageVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRepository(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRepositoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRepositoryPermissionsPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRepositoryPermissionsPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describePackageVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describePackageVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeRepository(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeRepositoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateExternalConnection(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateExternalConnectionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disposePackageVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disposePackageVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAuthorizationToken(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAuthorizationTokenAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDomainPermissionsPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDomainPermissionsPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getPackageVersionAsset(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getPackageVersionAssetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getPackageVersionReadme(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getPackageVersionReadmeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRepositoryEndpoint(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRepositoryEndpointAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRepositoryPermissionsPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRepositoryPermissionsPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDomains(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDomainsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPackageVersionAssets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPackageVersionAssetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPackageVersionDependencies(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPackageVersionDependenciesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPackageVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPackageVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPackages(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPackagesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRepositories(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRepositoriesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRepositoriesInDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRepositoriesInDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putDomainPermissionsPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putDomainPermissionsPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putRepositoryPermissionsPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putRepositoryPermissionsPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updatePackageVersionsStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updatePackageVersionsStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRepository(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRepositoryAsync(array $args = [])
 */
class CodeArtifactClient extends AwsClient {}
