<?php

namespace MediaCloud\Vendor\Aws\CodePipeline;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon CodePipeline** service.
 *
 * @method \MediaCloud\Vendor\Aws\Result acknowledgeJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise acknowledgeJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result acknowledgeThirdPartyJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise acknowledgeThirdPartyJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createCustomActionType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createCustomActionTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createPipeline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createPipelineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteCustomActionType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteCustomActionTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deletePipeline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deletePipelineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteWebhook(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteWebhookAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deregisterWebhookWithThirdParty(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deregisterWebhookWithThirdPartyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disableStageTransition(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disableStageTransitionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enableStageTransition(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enableStageTransitionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getJobDetails(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getJobDetailsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getPipeline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getPipelineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getPipelineExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getPipelineExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getPipelineState(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getPipelineStateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getThirdPartyJobDetails(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getThirdPartyJobDetailsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listActionExecutions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listActionExecutionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listActionTypes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listActionTypesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPipelineExecutions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPipelineExecutionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPipelines(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPipelinesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listWebhooks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listWebhooksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result pollForJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise pollForJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result pollForThirdPartyJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise pollForThirdPartyJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putActionRevision(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putActionRevisionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putApprovalResult(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putApprovalResultAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putJobFailureResult(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putJobFailureResultAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putJobSuccessResult(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putJobSuccessResultAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putThirdPartyJobFailureResult(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putThirdPartyJobFailureResultAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putThirdPartyJobSuccessResult(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putThirdPartyJobSuccessResultAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putWebhook(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putWebhookAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerWebhookWithThirdParty(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerWebhookWithThirdPartyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result retryStageExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise retryStageExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startPipelineExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startPipelineExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopPipelineExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopPipelineExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updatePipeline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updatePipelineAsync(array $args = [])
 */
class CodePipelineClient extends AwsClient {}