<?php

namespace MediaCloud\Vendor\Aws\Comprehend;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Comprehend** service.
 * @method \MediaCloud\Vendor\Aws\Result batchDetectDominantLanguage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchDetectDominantLanguageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchDetectEntities(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchDetectEntitiesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchDetectKeyPhrases(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchDetectKeyPhrasesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchDetectSentiment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchDetectSentimentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchDetectSyntax(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchDetectSyntaxAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result classifyDocument(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise classifyDocumentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDocumentClassifier(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDocumentClassifierAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createEndpoint(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createEndpointAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createEntityRecognizer(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createEntityRecognizerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDocumentClassifier(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDocumentClassifierAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteEndpoint(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteEndpointAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteEntityRecognizer(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteEntityRecognizerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDocumentClassificationJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDocumentClassificationJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDocumentClassifier(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDocumentClassifierAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDominantLanguageDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDominantLanguageDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeEndpoint(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeEndpointAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeEntitiesDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeEntitiesDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeEntityRecognizer(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeEntityRecognizerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeKeyPhrasesDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeKeyPhrasesDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeSentimentDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeSentimentDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTopicsDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeTopicsDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detectDominantLanguage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detectDominantLanguageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detectEntities(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detectEntitiesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detectKeyPhrases(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detectKeyPhrasesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detectSentiment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detectSentimentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detectSyntax(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detectSyntaxAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDocumentClassificationJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDocumentClassificationJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDocumentClassifiers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDocumentClassifiersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDominantLanguageDetectionJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDominantLanguageDetectionJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listEndpoints(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listEndpointsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listEntitiesDetectionJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listEntitiesDetectionJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listEntityRecognizers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listEntityRecognizersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listKeyPhrasesDetectionJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listKeyPhrasesDetectionJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listSentimentDetectionJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listSentimentDetectionJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTopicsDetectionJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTopicsDetectionJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startDocumentClassificationJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startDocumentClassificationJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startDominantLanguageDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startDominantLanguageDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startEntitiesDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startEntitiesDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startKeyPhrasesDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startKeyPhrasesDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startSentimentDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startSentimentDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startTopicsDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startTopicsDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopDominantLanguageDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopDominantLanguageDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopEntitiesDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopEntitiesDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopKeyPhrasesDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopKeyPhrasesDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopSentimentDetectionJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopSentimentDetectionJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopTrainingDocumentClassifier(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopTrainingDocumentClassifierAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopTrainingEntityRecognizer(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopTrainingEntityRecognizerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateEndpoint(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateEndpointAsync(array $args = [])
 */
class ComprehendClient extends AwsClient {}
