<?php

namespace MediaCloud\Vendor\Aws\DataSync;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS DataSync** service.
 * @method \MediaCloud\Vendor\Aws\Result cancelTaskExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise cancelTaskExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createAgent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createAgentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createLocationEfs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createLocationEfsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createLocationFsxWindows(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createLocationFsxWindowsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createLocationNfs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createLocationNfsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createLocationObjectStorage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createLocationObjectStorageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createLocationS3(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createLocationS3Async(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createLocationSmb(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createLocationSmbAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createTask(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createTaskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAgent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAgentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteLocation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteLocationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteTask(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteTaskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAgent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAgentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeLocationEfs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeLocationEfsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeLocationFsxWindows(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeLocationFsxWindowsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeLocationNfs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeLocationNfsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeLocationObjectStorage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeLocationObjectStorageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeLocationS3(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeLocationS3Async(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeLocationSmb(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeLocationSmbAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTask(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeTaskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTaskExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeTaskExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAgents(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAgentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listLocations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listLocationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTaskExecutions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTaskExecutionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTasks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTasksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startTaskExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startTaskExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateAgent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateAgentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateTask(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateTaskAsync(array $args = [])
 */
class DataSyncClient extends AwsClient {}
