<?php

namespace MediaCloud\Vendor\Aws\DeviceFarm;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon DeviceFarm** service.
 *
 * @method \MediaCloud\Vendor\Aws\Result createDevicePool(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDevicePoolAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createInstanceProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createInstanceProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createNetworkProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createNetworkProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createProject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createProjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createRemoteAccessSession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createRemoteAccessSessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createTestGridProject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createTestGridProjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createTestGridUrl(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createTestGridUrlAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createUpload(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createUploadAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createVPCEConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createVPCEConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDevicePool(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDevicePoolAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteInstanceProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteInstanceProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteNetworkProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteNetworkProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteProject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteProjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRemoteAccessSession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRemoteAccessSessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRun(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRunAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteTestGridProject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteTestGridProjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteUpload(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteUploadAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteVPCEConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteVPCEConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAccountSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAccountSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDevice(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDeviceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDeviceInstance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDeviceInstanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDevicePool(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDevicePoolAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDevicePoolCompatibility(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDevicePoolCompatibilityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInstanceProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInstanceProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getNetworkProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getNetworkProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getOfferingStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getOfferingStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getProject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getProjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRemoteAccessSession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRemoteAccessSessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRun(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRunAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSuite(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSuiteAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getTest(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getTestAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getTestGridProject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getTestGridProjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getTestGridSession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getTestGridSessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getUpload(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getUploadAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getVPCEConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getVPCEConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result installToRemoteAccessSession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise installToRemoteAccessSessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listArtifacts(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listArtifactsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDeviceInstances(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDeviceInstancesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDevicePools(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDevicePoolsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDevices(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDevicesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listInstanceProfiles(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listInstanceProfilesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listNetworkProfiles(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listNetworkProfilesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listOfferingPromotions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listOfferingPromotionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listOfferingTransactions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listOfferingTransactionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listOfferings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listOfferingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listProjects(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listProjectsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRemoteAccessSessions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRemoteAccessSessionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRuns(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRunsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listSamples(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listSamplesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listSuites(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listSuitesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTestGridProjects(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTestGridProjectsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTestGridSessionActions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTestGridSessionActionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTestGridSessionArtifacts(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTestGridSessionArtifactsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTestGridSessions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTestGridSessionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTests(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTestsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listUniqueProblems(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listUniqueProblemsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listUploads(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listUploadsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listVPCEConfigurations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listVPCEConfigurationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result purchaseOffering(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise purchaseOfferingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result renewOffering(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise renewOfferingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result scheduleRun(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise scheduleRunAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopRemoteAccessSession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopRemoteAccessSessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopRun(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopRunAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDeviceInstance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDeviceInstanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDevicePool(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDevicePoolAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateInstanceProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateInstanceProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateNetworkProfile(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateNetworkProfileAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateProject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateProjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateTestGridProject(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateTestGridProjectAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateUpload(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateUploadAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateVPCEConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateVPCEConfigurationAsync(array $args = [])
 */
class DeviceFarmClient extends AwsClient {}