<?php

namespace MediaCloud\Vendor\Aws\Ecs;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with **Amazon ECS**.
 *
 * @method \MediaCloud\Vendor\Aws\Result createCapacityProvider(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createCapacityProviderAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createCluster(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createClusterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createService(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createServiceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createTaskSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createTaskSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAccountSetting(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAccountSettingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteCapacityProvider(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteCapacityProviderAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteCluster(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteClusterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteService(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteServiceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteTaskSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteTaskSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deregisterContainerInstance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deregisterContainerInstanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deregisterTaskDefinition(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deregisterTaskDefinitionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeCapacityProviders(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeCapacityProvidersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeClusters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClustersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeContainerInstances(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeContainerInstancesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeServices(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeServicesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTaskDefinition(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeTaskDefinitionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTaskSets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeTaskSetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTasks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeTasksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result discoverPollEndpoint(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise discoverPollEndpointAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAccountSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAccountSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listClusters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listClustersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listContainerInstances(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listContainerInstancesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listServices(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listServicesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTaskDefinitionFamilies(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTaskDefinitionFamiliesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTaskDefinitions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTaskDefinitionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTasks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTasksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putAccountSetting(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putAccountSettingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putAccountSettingDefault(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putAccountSettingDefaultAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putClusterCapacityProviders(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putClusterCapacityProvidersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerContainerInstance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerContainerInstanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerTaskDefinition(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerTaskDefinitionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result runTask(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise runTaskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startTask(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startTaskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopTask(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopTaskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result submitAttachmentStateChanges(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise submitAttachmentStateChangesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result submitContainerStateChange(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise submitContainerStateChangeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result submitTaskStateChange(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise submitTaskStateChangeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateClusterSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateClusterSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateContainerAgent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateContainerAgentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateContainerInstancesState(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateContainerInstancesStateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateService(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateServiceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateServicePrimaryTaskSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateServicePrimaryTaskSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateTaskSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateTaskSetAsync(array $args = [])
 */
class EcsClient extends AwsClient {}
