<?php

namespace MediaCloud\Vendor\Aws\ElasticsearchService;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Elasticsearch Service** service.
 *
 * @method \MediaCloud\Vendor\Aws\Result acceptInboundCrossClusterSearchConnection(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise acceptInboundCrossClusterSearchConnectionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result addTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise addTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associatePackage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associatePackageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result cancelElasticsearchServiceSoftwareUpdate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise cancelElasticsearchServiceSoftwareUpdateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createElasticsearchDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createElasticsearchDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createOutboundCrossClusterSearchConnection(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createOutboundCrossClusterSearchConnectionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createPackage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createPackageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteElasticsearchDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteElasticsearchDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteElasticsearchServiceRole(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteElasticsearchServiceRoleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteInboundCrossClusterSearchConnection(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteInboundCrossClusterSearchConnectionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteOutboundCrossClusterSearchConnection(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteOutboundCrossClusterSearchConnectionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deletePackage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deletePackageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeElasticsearchDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeElasticsearchDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeElasticsearchDomainConfig(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeElasticsearchDomainConfigAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeElasticsearchDomains(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeElasticsearchDomainsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeElasticsearchInstanceTypeLimits(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeElasticsearchInstanceTypeLimitsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeInboundCrossClusterSearchConnections(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeInboundCrossClusterSearchConnectionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeOutboundCrossClusterSearchConnections(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeOutboundCrossClusterSearchConnectionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describePackages(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describePackagesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeReservedElasticsearchInstanceOfferings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeReservedElasticsearchInstanceOfferingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeReservedElasticsearchInstances(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeReservedElasticsearchInstancesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result dissociatePackage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise dissociatePackageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getCompatibleElasticsearchVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getCompatibleElasticsearchVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getUpgradeHistory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getUpgradeHistoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getUpgradeStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getUpgradeStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDomainNames(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDomainNamesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDomainsForPackage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDomainsForPackageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listElasticsearchInstanceTypes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listElasticsearchInstanceTypesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listElasticsearchVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listElasticsearchVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPackagesForDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPackagesForDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result purchaseReservedElasticsearchInstanceOffering(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise purchaseReservedElasticsearchInstanceOfferingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result rejectInboundCrossClusterSearchConnection(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise rejectInboundCrossClusterSearchConnectionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result removeTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise removeTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startElasticsearchServiceSoftwareUpdate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startElasticsearchServiceSoftwareUpdateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateElasticsearchDomainConfig(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateElasticsearchDomainConfigAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result upgradeElasticsearchDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise upgradeElasticsearchDomainAsync(array $args = [])
 */
class ElasticsearchServiceClient extends AwsClient {}
