<?php

namespace MediaCloud\Vendor\Aws\FraudDetector;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Fraud Detector** service.
 * @method \MediaCloud\Vendor\Aws\Result batchCreateVariable(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchCreateVariableAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchGetVariable(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchGetVariableAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDetectorVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDetectorVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createModel(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createModelAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createModelVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createModelVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createRule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createRuleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createVariable(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createVariableAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDetector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDetectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDetectorVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDetectorVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteEvent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteEventAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRuleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDetector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDetectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeModelVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeModelVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDetectorVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDetectorVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDetectors(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDetectorsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getEntityTypes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getEntityTypesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getEventPrediction(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getEventPredictionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getEventTypes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getEventTypesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getExternalModels(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getExternalModelsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getKMSEncryptionKey(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getKMSEncryptionKeyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getLabels(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getLabelsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getModelVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getModelVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getModels(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getModelsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getOutcomes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getOutcomesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRules(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRulesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getVariables(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getVariablesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putDetector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putDetectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putEntityType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putEntityTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putEventType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putEventTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putExternalModel(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putExternalModelAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putKMSEncryptionKey(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putKMSEncryptionKeyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putLabel(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putLabelAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putOutcome(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putOutcomeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDetectorVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDetectorVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDetectorVersionMetadata(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDetectorVersionMetadataAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDetectorVersionStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDetectorVersionStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateModel(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateModelAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateModelVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateModelVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateModelVersionStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateModelVersionStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRuleMetadata(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRuleMetadataAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRuleVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRuleVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateVariable(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateVariableAsync(array $args = [])
 */
class FraudDetectorClient extends AwsClient {}
