<?php

namespace MediaCloud\Vendor\Aws\GuardDuty;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon GuardDuty** service.
 * @method \MediaCloud\Vendor\Aws\Result acceptInvitation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise acceptInvitationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result archiveFindings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise archiveFindingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDetector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDetectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createFilter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createFilterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createIPSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createIPSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createPublishingDestination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createPublishingDestinationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createSampleFindings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createSampleFindingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createThreatIntelSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createThreatIntelSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result declineInvitations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise declineInvitationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDetector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDetectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteFilter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteFilterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteIPSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteIPSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteInvitations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteInvitationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deletePublishingDestination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deletePublishingDestinationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteThreatIntelSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteThreatIntelSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeOrganizationConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeOrganizationConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describePublishingDestination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describePublishingDestinationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disableOrganizationAdminAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disableOrganizationAdminAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateFromMasterAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateFromMasterAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enableOrganizationAdminAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enableOrganizationAdminAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDetector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDetectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getFilter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getFilterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getFindings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getFindingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getFindingsStatistics(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getFindingsStatisticsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getIPSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getIPSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInvitationsCount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInvitationsCountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getMasterAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getMasterAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getMemberDetectors(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getMemberDetectorsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getThreatIntelSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getThreatIntelSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getUsageStatistics(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getUsageStatisticsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result inviteMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise inviteMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDetectors(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDetectorsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listFilters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listFiltersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listFindings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listFindingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listIPSets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listIPSetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listInvitations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listInvitationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listOrganizationAdminAccounts(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listOrganizationAdminAccountsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPublishingDestinations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPublishingDestinationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listThreatIntelSets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listThreatIntelSetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startMonitoringMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startMonitoringMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopMonitoringMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopMonitoringMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result unarchiveFindings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise unarchiveFindingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDetector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDetectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateFilter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateFilterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateFindingsFeedback(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateFindingsFeedbackAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateIPSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateIPSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateMemberDetectors(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateMemberDetectorsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateOrganizationConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateOrganizationConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updatePublishingDestination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updatePublishingDestinationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateThreatIntelSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateThreatIntelSetAsync(array $args = [])
 */
class GuardDutyClient extends AwsClient {}
