<?php

namespace MediaCloud\Vendor\Aws\IoTAnalytics;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS IoT Analytics** service.
 * @method \MediaCloud\Vendor\Aws\Result batchPutMessage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchPutMessageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result cancelPipelineReprocessing(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise cancelPipelineReprocessingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createChannel(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createChannelAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDataset(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDatasetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDatasetContent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDatasetContentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDatastore(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDatastoreAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createPipeline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createPipelineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteChannel(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteChannelAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDataset(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDatasetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDatasetContent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDatasetContentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDatastore(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDatastoreAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deletePipeline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deletePipelineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeChannel(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeChannelAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDataset(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDatasetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDatastore(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDatastoreAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeLoggingOptions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeLoggingOptionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describePipeline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describePipelineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDatasetContent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDatasetContentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listChannels(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listChannelsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDatasetContents(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDatasetContentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDatasets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDatasetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDatastores(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDatastoresAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPipelines(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPipelinesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putLoggingOptions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putLoggingOptionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result runPipelineActivity(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise runPipelineActivityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result sampleChannelData(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise sampleChannelDataAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startPipelineReprocessing(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startPipelineReprocessingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateChannel(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateChannelAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDataset(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDatasetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDatastore(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDatastoreAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updatePipeline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updatePipelineAsync(array $args = [])
 */
class IoTAnalyticsClient extends AwsClient {}
