<?php

namespace MediaCloud\Vendor\Aws\Kafka;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Managed Streaming for Kafka** service.
 * @method \MediaCloud\Vendor\Aws\Result createCluster(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createClusterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteCluster(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteClusterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeCluster(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClusterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeClusterOperation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClusterOperationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeConfigurationRevision(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeConfigurationRevisionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBootstrapBrokers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBootstrapBrokersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getCompatibleKafkaVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getCompatibleKafkaVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listClusterOperations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listClusterOperationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listClusters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listClustersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listConfigurationRevisions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listConfigurationRevisionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listConfigurations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listConfigurationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listKafkaVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listKafkaVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listNodes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listNodesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result rebootBroker(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise rebootBrokerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateBrokerCount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateBrokerCountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateBrokerStorage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateBrokerStorageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateClusterConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateClusterConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateClusterKafkaVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateClusterKafkaVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateMonitoring(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateMonitoringAsync(array $args = [])
 */
class KafkaClient extends AwsClient {}
