<?php

namespace MediaCloud\Vendor\Aws\KinesisAnalyticsV2;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Kinesis Analytics** service.
 * @method \MediaCloud\Vendor\Aws\Result addApplicationCloudWatchLoggingOption(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise addApplicationCloudWatchLoggingOptionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result addApplicationInput(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise addApplicationInputAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result addApplicationInputProcessingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise addApplicationInputProcessingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result addApplicationOutput(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise addApplicationOutputAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result addApplicationReferenceDataSource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise addApplicationReferenceDataSourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result addApplicationVpcConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise addApplicationVpcConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createApplicationSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createApplicationSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteApplicationCloudWatchLoggingOption(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteApplicationCloudWatchLoggingOptionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteApplicationInputProcessingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteApplicationInputProcessingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteApplicationOutput(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteApplicationOutputAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteApplicationReferenceDataSource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteApplicationReferenceDataSourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteApplicationSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteApplicationSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteApplicationVpcConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteApplicationVpcConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeApplicationSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeApplicationSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result discoverInputSchema(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise discoverInputSchemaAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listApplicationSnapshots(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listApplicationSnapshotsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listApplications(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listApplicationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopApplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateApplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateApplicationAsync(array $args = [])
 */
class KinesisAnalyticsV2Client extends AwsClient {}
