<?php

namespace MediaCloud\Vendor\Aws\LexModelBuildingService;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Lex Model Building Service** service.
 * @method \MediaCloud\Vendor\Aws\Result createBotVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createBotVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createIntentVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createIntentVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createSlotTypeVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createSlotTypeVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteBot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteBotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteBotAlias(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteBotAliasAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteBotChannelAssociation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteBotChannelAssociationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteBotVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteBotVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteIntent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteIntentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteIntentVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteIntentVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteSlotType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteSlotTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteSlotTypeVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteSlotTypeVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteUtterances(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteUtterancesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBotAlias(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBotAliasAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBotAliases(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBotAliasesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBotChannelAssociation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBotChannelAssociationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBotChannelAssociations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBotChannelAssociationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBotVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBotVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBots(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBotsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBuiltinIntent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBuiltinIntentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBuiltinIntents(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBuiltinIntentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBuiltinSlotTypes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBuiltinSlotTypesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getExport(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getExportAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getImport(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getImportAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getIntent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getIntentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getIntentVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getIntentVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getIntents(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getIntentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSlotType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSlotTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSlotTypeVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSlotTypeVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSlotTypes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSlotTypesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getUtterancesView(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getUtterancesViewAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putBot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putBotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putBotAlias(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putBotAliasAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putIntent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putIntentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putSlotType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putSlotTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startImport(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startImportAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 */
class LexModelBuildingServiceClient extends AwsClient {}
