<?php

namespace MediaCloud\Vendor\Aws\Lightsail;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Lightsail** service.
 * @method \MediaCloud\Vendor\Aws\Result allocateStaticIp(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise allocateStaticIpAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result attachCertificateToDistribution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise attachCertificateToDistributionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result attachDisk(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise attachDiskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result attachInstancesToLoadBalancer(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise attachInstancesToLoadBalancerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result attachLoadBalancerTlsCertificate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise attachLoadBalancerTlsCertificateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result attachStaticIp(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise attachStaticIpAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result closeInstancePublicPorts(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise closeInstancePublicPortsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result copySnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise copySnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createCertificate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createCertificateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createCloudFormationStack(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createCloudFormationStackAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createContactMethod(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createContactMethodAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDisk(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDiskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDiskFromSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDiskFromSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDiskSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDiskSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDistribution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDistributionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDomainEntry(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDomainEntryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createInstanceSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createInstanceSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createInstances(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createInstancesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createInstancesFromSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createInstancesFromSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createKeyPair(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createKeyPairAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createLoadBalancer(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createLoadBalancerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createLoadBalancerTlsCertificate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createLoadBalancerTlsCertificateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createRelationalDatabase(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createRelationalDatabaseAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createRelationalDatabaseFromSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createRelationalDatabaseFromSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createRelationalDatabaseSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createRelationalDatabaseSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAlarm(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAlarmAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAutoSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAutoSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteCertificate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteCertificateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteContactMethod(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteContactMethodAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDisk(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDiskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDiskSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDiskSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDistribution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDistributionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDomainEntry(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDomainEntryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteInstance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteInstanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteInstanceSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteInstanceSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteKeyPair(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteKeyPairAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteKnownHostKeys(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteKnownHostKeysAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteLoadBalancer(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteLoadBalancerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteLoadBalancerTlsCertificate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteLoadBalancerTlsCertificateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRelationalDatabase(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRelationalDatabaseAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRelationalDatabaseSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRelationalDatabaseSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detachCertificateFromDistribution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detachCertificateFromDistributionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detachDisk(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detachDiskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detachInstancesFromLoadBalancer(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detachInstancesFromLoadBalancerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detachStaticIp(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detachStaticIpAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disableAddOn(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disableAddOnAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result downloadDefaultKeyPair(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise downloadDefaultKeyPairAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enableAddOn(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enableAddOnAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result exportSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise exportSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getActiveNames(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getActiveNamesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAlarms(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAlarmsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAutoSnapshots(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAutoSnapshotsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBlueprints(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBlueprintsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBundles(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBundlesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getCertificates(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getCertificatesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getCloudFormationStackRecords(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getCloudFormationStackRecordsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getContactMethods(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getContactMethodsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDisk(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDiskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDiskSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDiskSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDiskSnapshots(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDiskSnapshotsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDisks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDisksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDistributionBundles(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDistributionBundlesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDistributionLatestCacheReset(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDistributionLatestCacheResetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDistributionMetricData(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDistributionMetricDataAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDistributions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDistributionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDomains(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDomainsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getExportSnapshotRecords(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getExportSnapshotRecordsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInstance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInstanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInstanceAccessDetails(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInstanceAccessDetailsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInstanceMetricData(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInstanceMetricDataAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInstancePortStates(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInstancePortStatesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInstanceSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInstanceSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInstanceSnapshots(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInstanceSnapshotsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInstanceState(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInstanceStateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInstances(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInstancesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getKeyPair(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getKeyPairAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getKeyPairs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getKeyPairsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getLoadBalancer(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getLoadBalancerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getLoadBalancerMetricData(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getLoadBalancerMetricDataAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getLoadBalancerTlsCertificates(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getLoadBalancerTlsCertificatesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getLoadBalancers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getLoadBalancersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getOperation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getOperationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getOperations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getOperationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getOperationsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getOperationsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRegions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRegionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRelationalDatabase(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRelationalDatabaseAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRelationalDatabaseBlueprints(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRelationalDatabaseBlueprintsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRelationalDatabaseBundles(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRelationalDatabaseBundlesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRelationalDatabaseEvents(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRelationalDatabaseEventsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRelationalDatabaseLogEvents(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRelationalDatabaseLogEventsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRelationalDatabaseLogStreams(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRelationalDatabaseLogStreamsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRelationalDatabaseMasterUserPassword(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRelationalDatabaseMasterUserPasswordAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRelationalDatabaseMetricData(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRelationalDatabaseMetricDataAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRelationalDatabaseParameters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRelationalDatabaseParametersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRelationalDatabaseSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRelationalDatabaseSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRelationalDatabaseSnapshots(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRelationalDatabaseSnapshotsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRelationalDatabases(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRelationalDatabasesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getStaticIp(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getStaticIpAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getStaticIps(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getStaticIpsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result importKeyPair(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise importKeyPairAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result isVpcPeered(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise isVpcPeeredAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result openInstancePublicPorts(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise openInstancePublicPortsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result peerVpc(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise peerVpcAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putAlarm(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putAlarmAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putInstancePublicPorts(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putInstancePublicPortsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result rebootInstance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise rebootInstanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result rebootRelationalDatabase(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise rebootRelationalDatabaseAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result releaseStaticIp(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise releaseStaticIpAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result resetDistributionCache(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise resetDistributionCacheAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result sendContactMethodVerification(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise sendContactMethodVerificationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startInstance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startInstanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startRelationalDatabase(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startRelationalDatabaseAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopInstance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopInstanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopRelationalDatabase(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopRelationalDatabaseAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result testAlarm(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise testAlarmAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result unpeerVpc(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise unpeerVpcAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDistribution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDistributionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDistributionBundle(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDistributionBundleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDomainEntry(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDomainEntryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateLoadBalancerAttribute(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateLoadBalancerAttributeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRelationalDatabase(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRelationalDatabaseAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRelationalDatabaseParameters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRelationalDatabaseParametersAsync(array $args = [])
 */
class LightsailClient extends AwsClient {}
