<?php

namespace MediaCloud\Vendor\Aws\MTurk;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Mechanical Turk Requester Service** service.
 * @method \MediaCloud\Vendor\Aws\Result acceptQualificationRequest(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise acceptQualificationRequestAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result approveAssignment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise approveAssignmentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associateQualificationWithWorker(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateQualificationWithWorkerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createAdditionalAssignmentsForHIT(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createAdditionalAssignmentsForHITAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createHIT(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createHITAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createHITType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createHITTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createHITWithHITType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createHITWithHITTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createQualificationType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createQualificationTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createWorkerBlock(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createWorkerBlockAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteHIT(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteHITAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteQualificationType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteQualificationTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteWorkerBlock(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteWorkerBlockAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateQualificationFromWorker(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateQualificationFromWorkerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAccountBalance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAccountBalanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAssignment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAssignmentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getFileUploadURL(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getFileUploadURLAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getHIT(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getHITAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getQualificationScore(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getQualificationScoreAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getQualificationType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getQualificationTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAssignmentsForHIT(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAssignmentsForHITAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listBonusPayments(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listBonusPaymentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listHITs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listHITsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listHITsForQualificationType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listHITsForQualificationTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listQualificationRequests(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listQualificationRequestsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listQualificationTypes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listQualificationTypesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listReviewPolicyResultsForHIT(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listReviewPolicyResultsForHITAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listReviewableHITs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listReviewableHITsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listWorkerBlocks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listWorkerBlocksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listWorkersWithQualificationType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listWorkersWithQualificationTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result notifyWorkers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise notifyWorkersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result rejectAssignment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise rejectAssignmentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result rejectQualificationRequest(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise rejectQualificationRequestAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result sendBonus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise sendBonusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result sendTestEventNotification(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise sendTestEventNotificationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateExpirationForHIT(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateExpirationForHITAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateHITReviewStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateHITReviewStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateHITTypeOfHIT(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateHITTypeOfHITAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateNotificationSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateNotificationSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateQualificationType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateQualificationTypeAsync(array $args = [])
 */
class MTurkClient extends AwsClient {}
