<?php

namespace MediaCloud\Vendor\Aws\NetworkManager;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS Network Manager** service.
 * @method \MediaCloud\Vendor\Aws\Result associateCustomerGateway(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateCustomerGatewayAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associateLink(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateLinkAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDevice(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDeviceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createGlobalNetwork(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createGlobalNetworkAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createLink(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createLinkAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createSite(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createSiteAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDevice(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDeviceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteGlobalNetwork(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteGlobalNetworkAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteLink(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteLinkAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteSite(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteSiteAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deregisterTransitGateway(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deregisterTransitGatewayAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeGlobalNetworks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeGlobalNetworksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateCustomerGateway(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateCustomerGatewayAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateLink(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateLinkAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getCustomerGatewayAssociations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getCustomerGatewayAssociationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDevices(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDevicesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getLinkAssociations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getLinkAssociationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getLinks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getLinksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSites(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSitesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getTransitGatewayRegistrations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getTransitGatewayRegistrationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerTransitGateway(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerTransitGatewayAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDevice(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDeviceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateGlobalNetwork(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateGlobalNetworkAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateLink(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateLinkAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateSite(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateSiteAsync(array $args = [])
 */
class NetworkManagerClient extends AwsClient {}
