<?php

namespace MediaCloud\Vendor\Aws\Organizations;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS Organizations** service.
 * @method \MediaCloud\Vendor\Aws\Result acceptHandshake(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise acceptHandshakeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result attachPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise attachPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result cancelHandshake(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise cancelHandshakeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createGovCloudAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createGovCloudAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createOrganization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createOrganizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createOrganizationalUnit(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createOrganizationalUnitAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result declineHandshake(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise declineHandshakeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteOrganization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteOrganizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteOrganizationalUnit(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteOrganizationalUnitAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deletePolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deletePolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deregisterDelegatedAdministrator(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deregisterDelegatedAdministratorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeCreateAccountStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeCreateAccountStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeEffectivePolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeEffectivePolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeHandshake(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeHandshakeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeOrganization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeOrganizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeOrganizationalUnit(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeOrganizationalUnitAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describePolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describePolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result detachPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise detachPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disableAWSServiceAccess(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disableAWSServiceAccessAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disablePolicyType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disablePolicyTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enableAWSServiceAccess(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enableAWSServiceAccessAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enableAllFeatures(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enableAllFeaturesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enablePolicyType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enablePolicyTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result inviteAccountToOrganization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise inviteAccountToOrganizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result leaveOrganization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise leaveOrganizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAWSServiceAccessForOrganization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAWSServiceAccessForOrganizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAccounts(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAccountsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAccountsForParent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAccountsForParentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listChildren(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listChildrenAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listCreateAccountStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listCreateAccountStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDelegatedAdministrators(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDelegatedAdministratorsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDelegatedServicesForAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDelegatedServicesForAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listHandshakesForAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listHandshakesForAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listHandshakesForOrganization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listHandshakesForOrganizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listOrganizationalUnitsForParent(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listOrganizationalUnitsForParentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listParents(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listParentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPolicies(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPoliciesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listPoliciesForTarget(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listPoliciesForTargetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRoots(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRootsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTargetsForPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTargetsForPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result moveAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise moveAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerDelegatedAdministrator(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerDelegatedAdministratorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result removeAccountFromOrganization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise removeAccountFromOrganizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateOrganizationalUnit(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateOrganizationalUnitAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updatePolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updatePolicyAsync(array $args = [])
 */
class OrganizationsClient extends AwsClient {}
