<?php

namespace MediaCloud\Vendor\Aws\Personalize;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Personalize** service.
 * @method \MediaCloud\Vendor\Aws\Result createBatchInferenceJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createBatchInferenceJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createCampaign(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createCampaignAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDataset(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDatasetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDatasetGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDatasetGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDatasetImportJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDatasetImportJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createEventTracker(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createEventTrackerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createFilter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createFilterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createSchema(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createSchemaAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createSolution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createSolutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createSolutionVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createSolutionVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteCampaign(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteCampaignAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDataset(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDatasetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDatasetGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDatasetGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteEventTracker(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteEventTrackerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteFilter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteFilterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteSchema(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteSchemaAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteSolution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteSolutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAlgorithm(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAlgorithmAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeBatchInferenceJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeBatchInferenceJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeCampaign(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeCampaignAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDataset(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDatasetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDatasetGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDatasetGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDatasetImportJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDatasetImportJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeEventTracker(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeEventTrackerAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeFeatureTransformation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeFeatureTransformationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeFilter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeFilterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeRecipe(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeRecipeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeSchema(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeSchemaAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeSolution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeSolutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeSolutionVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeSolutionVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSolutionMetrics(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSolutionMetricsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listBatchInferenceJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listBatchInferenceJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listCampaigns(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listCampaignsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDatasetGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDatasetGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDatasetImportJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDatasetImportJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDatasets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDatasetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listEventTrackers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listEventTrackersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listFilters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listFiltersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRecipes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRecipesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listSchemas(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listSchemasAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listSolutionVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listSolutionVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listSolutions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listSolutionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateCampaign(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateCampaignAsync(array $args = [])
 */
class PersonalizeClient extends AwsClient {}
