<?php

namespace MediaCloud\Vendor\Aws\QuickSight;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon QuickSight** service.
 * @method \MediaCloud\Vendor\Aws\Result cancelIngestion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise cancelIngestionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createAccountCustomization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createAccountCustomizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createAnalysis(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createAnalysisAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDashboard(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDashboardAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDataSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDataSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDataSource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDataSourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createGroupMembership(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createGroupMembershipAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createIAMPolicyAssignment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createIAMPolicyAssignmentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createIngestion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createIngestionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createNamespace(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createNamespaceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createTemplateAlias(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createTemplateAliasAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createTheme(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createThemeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createThemeAlias(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createThemeAliasAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAccountCustomization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAccountCustomizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAnalysis(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAnalysisAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDashboard(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDashboardAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDataSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDataSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDataSource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDataSourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteGroupMembership(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteGroupMembershipAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteIAMPolicyAssignment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteIAMPolicyAssignmentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteNamespace(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteNamespaceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteTemplateAlias(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteTemplateAliasAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteTheme(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteThemeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteThemeAlias(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteThemeAliasAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteUserByPrincipalId(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteUserByPrincipalIdAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAccountCustomization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAccountCustomizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAccountSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAccountSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAnalysis(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAnalysisAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAnalysisPermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAnalysisPermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDashboard(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDashboardAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDashboardPermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDashboardPermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDataSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDataSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDataSetPermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDataSetPermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDataSource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDataSourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDataSourcePermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDataSourcePermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeIAMPolicyAssignment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeIAMPolicyAssignmentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeIngestion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeIngestionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeNamespace(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeNamespaceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTemplateAlias(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeTemplateAliasAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTemplatePermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeTemplatePermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTheme(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeThemeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeThemeAlias(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeThemeAliasAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeThemePermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeThemePermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDashboardEmbedUrl(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDashboardEmbedUrlAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSessionEmbedUrl(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSessionEmbedUrlAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAnalyses(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAnalysesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDashboardVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDashboardVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDashboards(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDashboardsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDataSets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDataSetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDataSources(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDataSourcesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listGroupMemberships(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listGroupMembershipsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listIAMPolicyAssignments(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listIAMPolicyAssignmentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listIAMPolicyAssignmentsForUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listIAMPolicyAssignmentsForUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listIngestions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listIngestionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listNamespaces(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listNamespacesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTemplateAliases(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTemplateAliasesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTemplateVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTemplateVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTemplates(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTemplatesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listThemeAliases(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listThemeAliasesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listThemeVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listThemeVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listThemes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listThemesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listUserGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listUserGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listUsers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listUsersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result restoreAnalysis(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise restoreAnalysisAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result searchAnalyses(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise searchAnalysesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result searchDashboards(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise searchDashboardsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateAccountCustomization(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateAccountCustomizationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateAccountSettings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateAccountSettingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateAnalysis(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateAnalysisAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateAnalysisPermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateAnalysisPermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDashboard(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDashboardAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDashboardPermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDashboardPermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDashboardPublishedVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDashboardPublishedVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDataSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDataSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDataSetPermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDataSetPermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDataSource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDataSourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDataSourcePermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDataSourcePermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateIAMPolicyAssignment(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateIAMPolicyAssignmentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateTemplateAlias(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateTemplateAliasAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateTemplatePermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateTemplatePermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateTheme(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateThemeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateThemeAlias(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateThemeAliasAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateThemePermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateThemePermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateUserAsync(array $args = [])
 */
class QuickSightClient extends AwsClient {}
