<?php

namespace MediaCloud\Vendor\Aws\Redshift;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Redshift** service.
 *
 * @method \MediaCloud\Vendor\Aws\Result acceptReservedNodeExchange(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise acceptReservedNodeExchangeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result authorizeClusterSecurityGroupIngress(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise authorizeClusterSecurityGroupIngressAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result authorizeSnapshotAccess(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise authorizeSnapshotAccessAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchDeleteClusterSnapshots(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchDeleteClusterSnapshotsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchModifyClusterSnapshots(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchModifyClusterSnapshotsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result cancelResize(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise cancelResizeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result copyClusterSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise copyClusterSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createCluster(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createClusterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createClusterParameterGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createClusterParameterGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createClusterSecurityGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createClusterSecurityGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createClusterSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createClusterSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createClusterSubnetGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createClusterSubnetGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createEventSubscription(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createEventSubscriptionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createHsmClientCertificate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createHsmClientCertificateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createHsmConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createHsmConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createScheduledAction(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createScheduledActionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createSnapshotCopyGrant(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createSnapshotCopyGrantAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createSnapshotSchedule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createSnapshotScheduleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createUsageLimit(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createUsageLimitAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteCluster(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteClusterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteClusterParameterGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteClusterParameterGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteClusterSecurityGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteClusterSecurityGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteClusterSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteClusterSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteClusterSubnetGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteClusterSubnetGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteEventSubscription(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteEventSubscriptionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteHsmClientCertificate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteHsmClientCertificateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteHsmConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteHsmConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteScheduledAction(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteScheduledActionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteSnapshotCopyGrant(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteSnapshotCopyGrantAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteSnapshotSchedule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteSnapshotScheduleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteUsageLimit(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteUsageLimitAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAccountAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAccountAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeClusterDbRevisions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClusterDbRevisionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeClusterParameterGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClusterParameterGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeClusterParameters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClusterParametersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeClusterSecurityGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClusterSecurityGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeClusterSnapshots(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClusterSnapshotsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeClusterSubnetGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClusterSubnetGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeClusterTracks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClusterTracksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeClusterVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClusterVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeClusters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClustersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDefaultClusterParameters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDefaultClusterParametersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeEventCategories(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeEventCategoriesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeEventSubscriptions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeEventSubscriptionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeEvents(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeEventsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeHsmClientCertificates(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeHsmClientCertificatesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeHsmConfigurations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeHsmConfigurationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeLoggingStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeLoggingStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeNodeConfigurationOptions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeNodeConfigurationOptionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeOrderableClusterOptions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeOrderableClusterOptionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeReservedNodeOfferings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeReservedNodeOfferingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeReservedNodes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeReservedNodesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeResize(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeResizeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeScheduledActions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeScheduledActionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeSnapshotCopyGrants(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeSnapshotCopyGrantsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeSnapshotSchedules(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeSnapshotSchedulesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeStorage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeStorageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTableRestoreStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeTableRestoreStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeUsageLimits(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeUsageLimitsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disableLogging(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disableLoggingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disableSnapshotCopy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disableSnapshotCopyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enableLogging(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enableLoggingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enableSnapshotCopy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enableSnapshotCopyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getClusterCredentials(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getClusterCredentialsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getReservedNodeExchangeOfferings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getReservedNodeExchangeOfferingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyCluster(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyClusterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyClusterDbRevision(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyClusterDbRevisionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyClusterIamRoles(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyClusterIamRolesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyClusterMaintenance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyClusterMaintenanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyClusterParameterGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyClusterParameterGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyClusterSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyClusterSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyClusterSnapshotSchedule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyClusterSnapshotScheduleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyClusterSubnetGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyClusterSubnetGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyEventSubscription(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyEventSubscriptionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyScheduledAction(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyScheduledActionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifySnapshotCopyRetentionPeriod(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifySnapshotCopyRetentionPeriodAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifySnapshotSchedule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifySnapshotScheduleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyUsageLimit(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyUsageLimitAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result pauseCluster(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise pauseClusterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result purchaseReservedNodeOffering(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise purchaseReservedNodeOfferingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result rebootCluster(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise rebootClusterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result resetClusterParameterGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise resetClusterParameterGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result resizeCluster(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise resizeClusterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result restoreFromClusterSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise restoreFromClusterSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result restoreTableFromClusterSnapshot(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise restoreTableFromClusterSnapshotAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result resumeCluster(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise resumeClusterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result revokeClusterSecurityGroupIngress(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise revokeClusterSecurityGroupIngressAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result revokeSnapshotAccess(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise revokeSnapshotAccessAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result rotateEncryptionKey(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise rotateEncryptionKeyAsync(array $args = [])
 */
class RedshiftClient extends AwsClient {}
