<?php

namespace MediaCloud\Vendor\Aws\Route53Domains;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Route 53 Domains** service.
 *
 * @method \MediaCloud\Vendor\Aws\Result acceptDomainTransferFromAnotherAwsAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise acceptDomainTransferFromAnotherAwsAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result cancelDomainTransferToAnotherAwsAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise cancelDomainTransferToAnotherAwsAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result checkDomainAvailability(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise checkDomainAvailabilityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result checkDomainTransferability(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise checkDomainTransferabilityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteTagsForDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteTagsForDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disableDomainAutoRenew(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disableDomainAutoRenewAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disableDomainTransferLock(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disableDomainTransferLockAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enableDomainAutoRenew(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enableDomainAutoRenewAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enableDomainTransferLock(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enableDomainTransferLockAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getContactReachabilityStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getContactReachabilityStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDomainDetail(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDomainDetailAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDomainSuggestions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDomainSuggestionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getOperationDetail(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getOperationDetailAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDomains(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDomainsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listOperations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listOperationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result rejectDomainTransferFromAnotherAwsAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise rejectDomainTransferFromAnotherAwsAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result renewDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise renewDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result resendContactReachabilityEmail(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise resendContactReachabilityEmailAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result retrieveDomainAuthCode(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise retrieveDomainAuthCodeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result transferDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise transferDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result transferDomainToAnotherAwsAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise transferDomainToAnotherAwsAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDomainContact(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDomainContactAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDomainContactPrivacy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDomainContactPrivacyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDomainNameservers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDomainNameserversAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateTagsForDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateTagsForDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result viewBilling(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise viewBillingAsync(array $args = [])
 */
class Route53DomainsClient extends AwsClient {}
