<?php

namespace MediaCloud\Vendor\Aws\SecurityHub;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS SecurityHub** service.
 * @method \MediaCloud\Vendor\Aws\Result acceptInvitation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise acceptInvitationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchDisableStandards(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchDisableStandardsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchEnableStandards(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchEnableStandardsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchImportFindings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchImportFindingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result batchUpdateFindings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchUpdateFindingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createActionTarget(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createActionTargetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createInsight(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createInsightAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result declineInvitations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise declineInvitationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteActionTarget(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteActionTargetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteInsight(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteInsightAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteInvitations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteInvitationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeActionTargets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeActionTargetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeHub(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeHubAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeProducts(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeProductsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeStandards(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeStandardsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeStandardsControls(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeStandardsControlsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disableImportFindingsForProduct(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disableImportFindingsForProductAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disableSecurityHub(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disableSecurityHubAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateFromMasterAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateFromMasterAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enableImportFindingsForProduct(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enableImportFindingsForProductAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result enableSecurityHub(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise enableSecurityHubAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getEnabledStandards(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getEnabledStandardsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getFindings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getFindingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInsightResults(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInsightResultsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInsights(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInsightsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInvitationsCount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInvitationsCountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getMasterAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getMasterAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result inviteMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise inviteMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listEnabledProductsForImport(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listEnabledProductsForImportAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listInvitations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listInvitationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listMembers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listMembersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateActionTarget(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateActionTargetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateFindings(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateFindingsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateInsight(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateInsightAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateSecurityHubConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateSecurityHubConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateStandardsControl(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateStandardsControlAsync(array $args = [])
 */
class SecurityHubClient extends AwsClient {}
