<?php

namespace MediaCloud\Vendor\Aws\SesV2;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon Simple Email Service** service.
 * @method \MediaCloud\Vendor\Aws\Result createConfigurationSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createConfigurationSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createConfigurationSetEventDestination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createConfigurationSetEventDestinationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createCustomVerificationEmailTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createCustomVerificationEmailTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDedicatedIpPool(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDedicatedIpPoolAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDeliverabilityTestReport(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDeliverabilityTestReportAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createEmailIdentity(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createEmailIdentityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createEmailIdentityPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createEmailIdentityPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createEmailTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createEmailTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createImportJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createImportJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteConfigurationSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteConfigurationSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteConfigurationSetEventDestination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteConfigurationSetEventDestinationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteCustomVerificationEmailTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteCustomVerificationEmailTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDedicatedIpPool(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDedicatedIpPoolAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteEmailIdentity(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteEmailIdentityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteEmailIdentityPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteEmailIdentityPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteEmailTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteEmailTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteSuppressedDestination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteSuppressedDestinationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getBlacklistReports(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getBlacklistReportsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getConfigurationSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getConfigurationSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getConfigurationSetEventDestinations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getConfigurationSetEventDestinationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getCustomVerificationEmailTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getCustomVerificationEmailTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDedicatedIp(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDedicatedIpAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDedicatedIps(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDedicatedIpsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDeliverabilityDashboardOptions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDeliverabilityDashboardOptionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDeliverabilityTestReport(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDeliverabilityTestReportAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDomainDeliverabilityCampaign(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDomainDeliverabilityCampaignAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDomainStatisticsReport(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDomainStatisticsReportAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getEmailIdentity(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getEmailIdentityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getEmailIdentityPolicies(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getEmailIdentityPoliciesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getEmailTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getEmailTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getImportJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getImportJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSuppressedDestination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSuppressedDestinationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listConfigurationSets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listConfigurationSetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listCustomVerificationEmailTemplates(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listCustomVerificationEmailTemplatesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDedicatedIpPools(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDedicatedIpPoolsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDeliverabilityTestReports(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDeliverabilityTestReportsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDomainDeliverabilityCampaigns(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDomainDeliverabilityCampaignsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listEmailIdentities(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listEmailIdentitiesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listEmailTemplates(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listEmailTemplatesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listImportJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listImportJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listSuppressedDestinations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listSuppressedDestinationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putAccountDedicatedIpWarmupAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putAccountDedicatedIpWarmupAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putAccountDetails(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putAccountDetailsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putAccountSendingAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putAccountSendingAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putAccountSuppressionAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putAccountSuppressionAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putConfigurationSetDeliveryOptions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putConfigurationSetDeliveryOptionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putConfigurationSetReputationOptions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putConfigurationSetReputationOptionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putConfigurationSetSendingOptions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putConfigurationSetSendingOptionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putConfigurationSetSuppressionOptions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putConfigurationSetSuppressionOptionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putConfigurationSetTrackingOptions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putConfigurationSetTrackingOptionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putDedicatedIpInPool(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putDedicatedIpInPoolAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putDedicatedIpWarmupAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putDedicatedIpWarmupAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putDeliverabilityDashboardOption(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putDeliverabilityDashboardOptionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putEmailIdentityDkimAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putEmailIdentityDkimAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putEmailIdentityDkimSigningAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putEmailIdentityDkimSigningAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putEmailIdentityFeedbackAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putEmailIdentityFeedbackAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putEmailIdentityMailFromAttributes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putEmailIdentityMailFromAttributesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putSuppressedDestination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putSuppressedDestinationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result sendBulkEmail(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise sendBulkEmailAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result sendCustomVerificationEmail(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise sendCustomVerificationEmailAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result sendEmail(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise sendEmailAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result testRenderEmailTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise testRenderEmailTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateConfigurationSetEventDestination(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateConfigurationSetEventDestinationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateCustomVerificationEmailTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateCustomVerificationEmailTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateEmailIdentityPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateEmailIdentityPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateEmailTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateEmailTemplateAsync(array $args = [])
 */
class SesV2Client extends AwsClient {}
