<?php

namespace MediaCloud\Vendor\Aws\Sms;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS Server Migration Service** service.
 * @method \MediaCloud\Vendor\Aws\Result createApp(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createAppAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createReplicationJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createReplicationJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteApp(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAppAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAppLaunchConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAppLaunchConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAppReplicationConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAppReplicationConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAppValidationConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAppValidationConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteReplicationJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteReplicationJobAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteServerCatalog(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteServerCatalogAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateConnector(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateConnectorAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result generateChangeSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise generateChangeSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result generateTemplate(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise generateTemplateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getApp(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAppAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAppLaunchConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAppLaunchConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAppReplicationConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAppReplicationConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAppValidationConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAppValidationConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAppValidationOutput(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAppValidationOutputAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getConnectors(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getConnectorsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getReplicationJobs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getReplicationJobsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getReplicationRuns(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getReplicationRunsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getServers(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getServersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result importAppCatalog(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise importAppCatalogAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result importServerCatalog(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise importServerCatalogAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result launchApp(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise launchAppAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listApps(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAppsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result notifyAppValidationOutput(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise notifyAppValidationOutputAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putAppLaunchConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putAppLaunchConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putAppReplicationConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putAppReplicationConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putAppValidationConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putAppValidationConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startAppReplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startAppReplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startOnDemandAppReplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startOnDemandAppReplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startOnDemandReplicationRun(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startOnDemandReplicationRunAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopAppReplication(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopAppReplicationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result terminateApp(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise terminateAppAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateApp(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateAppAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateReplicationJob(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateReplicationJobAsync(array $args = [])
 */
class SmsClient extends AwsClient {}
