<?php

namespace MediaCloud\Vendor\Aws\Ssm;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * Amazon EC2 Simple Systems Manager client.
 *
 * @method \MediaCloud\Vendor\Aws\Result addTagsToResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise addTagsToResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result cancelCommand(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise cancelCommandAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result cancelMaintenanceWindowExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise cancelMaintenanceWindowExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createActivation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createActivationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createAssociation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createAssociationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createAssociationBatch(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createAssociationBatchAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createDocument(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createDocumentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createMaintenanceWindow(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createMaintenanceWindowAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createOpsItem(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createOpsItemAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createPatchBaseline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createPatchBaselineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createResourceDataSync(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createResourceDataSyncAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteActivation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteActivationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteAssociation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteAssociationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteDocument(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteDocumentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteInventory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteInventoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteMaintenanceWindow(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteMaintenanceWindowAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteParameter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteParameterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteParameters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteParametersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deletePatchBaseline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deletePatchBaselineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteResourceDataSync(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteResourceDataSyncAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deregisterManagedInstance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deregisterManagedInstanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deregisterPatchBaselineForPatchGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deregisterPatchBaselineForPatchGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deregisterTargetFromMaintenanceWindow(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deregisterTargetFromMaintenanceWindowAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deregisterTaskFromMaintenanceWindow(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deregisterTaskFromMaintenanceWindowAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeActivations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeActivationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAssociation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAssociationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAssociationExecutionTargets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAssociationExecutionTargetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAssociationExecutions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAssociationExecutionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAutomationExecutions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAutomationExecutionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAutomationStepExecutions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAutomationStepExecutionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAvailablePatches(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAvailablePatchesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDocument(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDocumentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDocumentPermission(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDocumentPermissionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeEffectiveInstanceAssociations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeEffectiveInstanceAssociationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeEffectivePatchesForPatchBaseline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeEffectivePatchesForPatchBaselineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeInstanceAssociationsStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeInstanceAssociationsStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeInstanceInformation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeInstanceInformationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeInstancePatchStates(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeInstancePatchStatesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeInstancePatchStatesForPatchGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeInstancePatchStatesForPatchGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeInstancePatches(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeInstancePatchesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeInventoryDeletions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeInventoryDeletionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeMaintenanceWindowExecutionTaskInvocations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeMaintenanceWindowExecutionTaskInvocationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeMaintenanceWindowExecutionTasks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeMaintenanceWindowExecutionTasksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeMaintenanceWindowExecutions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeMaintenanceWindowExecutionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeMaintenanceWindowSchedule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeMaintenanceWindowScheduleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeMaintenanceWindowTargets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeMaintenanceWindowTargetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeMaintenanceWindowTasks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeMaintenanceWindowTasksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeMaintenanceWindows(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeMaintenanceWindowsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeMaintenanceWindowsForTarget(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeMaintenanceWindowsForTargetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeOpsItems(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeOpsItemsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeParameters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeParametersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describePatchBaselines(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describePatchBaselinesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describePatchGroupState(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describePatchGroupStateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describePatchGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describePatchGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describePatchProperties(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describePatchPropertiesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeSessions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeSessionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getAutomationExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getAutomationExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getCalendarState(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getCalendarStateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getCommandInvocation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getCommandInvocationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getConnectionStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getConnectionStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDefaultPatchBaseline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDefaultPatchBaselineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDeployablePatchSnapshotForInstance(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDeployablePatchSnapshotForInstanceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getDocument(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getDocumentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInventory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInventoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getInventorySchema(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getInventorySchemaAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getMaintenanceWindow(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getMaintenanceWindowAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getMaintenanceWindowExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getMaintenanceWindowExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getMaintenanceWindowExecutionTask(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getMaintenanceWindowExecutionTaskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getMaintenanceWindowExecutionTaskInvocation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getMaintenanceWindowExecutionTaskInvocationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getMaintenanceWindowTask(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getMaintenanceWindowTaskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getOpsItem(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getOpsItemAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getOpsSummary(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getOpsSummaryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getParameter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getParameterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getParameterHistory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getParameterHistoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getParameters(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getParametersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getParametersByPath(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getParametersByPathAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getPatchBaseline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getPatchBaselineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getPatchBaselineForPatchGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getPatchBaselineForPatchGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getServiceSetting(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getServiceSettingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result labelParameterVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise labelParameterVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAssociationVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAssociationVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAssociations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAssociationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listCommandInvocations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listCommandInvocationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listCommands(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listCommandsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listComplianceItems(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listComplianceItemsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listComplianceSummaries(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listComplianceSummariesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDocumentVersions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDocumentVersionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDocuments(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDocumentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listInventoryEntries(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listInventoryEntriesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listResourceComplianceSummaries(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listResourceComplianceSummariesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listResourceDataSync(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listResourceDataSyncAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyDocumentPermission(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyDocumentPermissionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putComplianceItems(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putComplianceItemsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putInventory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putInventoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putParameter(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putParameterAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerDefaultPatchBaseline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerDefaultPatchBaselineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerPatchBaselineForPatchGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerPatchBaselineForPatchGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerTargetWithMaintenanceWindow(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerTargetWithMaintenanceWindowAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerTaskWithMaintenanceWindow(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerTaskWithMaintenanceWindowAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result removeTagsFromResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise removeTagsFromResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result resetServiceSetting(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise resetServiceSettingAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result resumeSession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise resumeSessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result sendAutomationSignal(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise sendAutomationSignalAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result sendCommand(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise sendCommandAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startAssociationsOnce(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startAssociationsOnceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startAutomationExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startAutomationExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startSession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startSessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopAutomationExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopAutomationExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result terminateSession(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise terminateSessionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateAssociation(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateAssociationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateAssociationStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateAssociationStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDocument(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDocumentAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDocumentDefaultVersion(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDocumentDefaultVersionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateMaintenanceWindow(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateMaintenanceWindowAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateMaintenanceWindowTarget(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateMaintenanceWindowTargetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateMaintenanceWindowTask(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateMaintenanceWindowTaskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateManagedInstanceRole(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateManagedInstanceRoleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateOpsItem(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateOpsItemAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updatePatchBaseline(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updatePatchBaselineAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateResourceDataSync(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateResourceDataSyncAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateServiceSetting(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateServiceSettingAsync(array $args = [])
 */
class SsmClient extends AwsClient {}
