<?php

namespace MediaCloud\Vendor\Aws\Swf;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * Amazon Simple Workflow Service (Amazon SWF) client.
 *
 * @method \MediaCloud\Vendor\Aws\Result countClosedWorkflowExecutions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise countClosedWorkflowExecutionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result countOpenWorkflowExecutions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise countOpenWorkflowExecutionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result countPendingActivityTasks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise countPendingActivityTasksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result countPendingDecisionTasks(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise countPendingDecisionTasksAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deprecateActivityType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deprecateActivityTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deprecateDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deprecateDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deprecateWorkflowType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deprecateWorkflowTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeActivityType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeActivityTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeWorkflowExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeWorkflowExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeWorkflowType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeWorkflowTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getWorkflowExecutionHistory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getWorkflowExecutionHistoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listActivityTypes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listActivityTypesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listClosedWorkflowExecutions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listClosedWorkflowExecutionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDomains(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDomainsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listOpenWorkflowExecutions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listOpenWorkflowExecutionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listWorkflowTypes(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listWorkflowTypesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result pollForActivityTask(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise pollForActivityTaskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result pollForDecisionTask(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise pollForDecisionTaskAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result recordActivityTaskHeartbeat(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise recordActivityTaskHeartbeatAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerActivityType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerActivityTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerWorkflowType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerWorkflowTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result requestCancelWorkflowExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise requestCancelWorkflowExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result respondActivityTaskCanceled(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise respondActivityTaskCanceledAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result respondActivityTaskCompleted(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise respondActivityTaskCompletedAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result respondActivityTaskFailed(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise respondActivityTaskFailedAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result respondDecisionTaskCompleted(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise respondDecisionTaskCompletedAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result signalWorkflowExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise signalWorkflowExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startWorkflowExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startWorkflowExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result terminateWorkflowExecution(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise terminateWorkflowExecutionAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result undeprecateActivityType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise undeprecateActivityTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result undeprecateDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise undeprecateDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result undeprecateWorkflowType(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise undeprecateWorkflowTypeAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 */
class SwfClient extends AwsClient {}
