<?php

namespace MediaCloud\Vendor\Aws\WAFV2;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS WAFV2** service.
 * @method \MediaCloud\Vendor\Aws\Result associateWebACL(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateWebACLAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result checkCapacity(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise checkCapacityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createIPSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createIPSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createRegexPatternSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createRegexPatternSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createRuleGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createRuleGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createWebACL(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createWebACLAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteFirewallManagerRuleGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteFirewallManagerRuleGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteIPSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteIPSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteLoggingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteLoggingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deletePermissionPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deletePermissionPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRegexPatternSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRegexPatternSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteRuleGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteRuleGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteWebACL(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteWebACLAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeManagedRuleGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeManagedRuleGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateWebACL(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateWebACLAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getIPSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getIPSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getLoggingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getLoggingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getPermissionPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getPermissionPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRateBasedStatementManagedKeys(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRateBasedStatementManagedKeysAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRegexPatternSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRegexPatternSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getRuleGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getRuleGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSampledRequests(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSampledRequestsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getWebACL(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getWebACLAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getWebACLForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getWebACLForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAvailableManagedRuleGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAvailableManagedRuleGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listIPSets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listIPSetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listLoggingConfigurations(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listLoggingConfigurationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRegexPatternSets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRegexPatternSetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listResourcesForWebACL(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listResourcesForWebACLAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listRuleGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listRuleGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listWebACLs(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listWebACLsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putLoggingConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putLoggingConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putPermissionPolicy(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putPermissionPolicyAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateIPSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateIPSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRegexPatternSet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRegexPatternSetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRuleGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRuleGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateWebACL(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateWebACLAsync(array $args = [])
 */
class WAFV2Client extends AwsClient {}
