<?php

namespace MediaCloud\Vendor\Aws\WorkLink;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **Amazon WorkLink** service.
 * @method \MediaCloud\Vendor\Aws\Result associateDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associateWebsiteAuthorizationProvider(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateWebsiteAuthorizationProviderAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result associateWebsiteCertificateAuthority(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateWebsiteCertificateAuthorityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createFleet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createFleetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteFleet(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteFleetAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAuditStreamConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAuditStreamConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeCompanyNetworkConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeCompanyNetworkConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDevice(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDeviceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDevicePolicyConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDevicePolicyConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeFleetMetadata(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeFleetMetadataAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeIdentityProviderConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeIdentityProviderConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeWebsiteCertificateAuthority(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeWebsiteCertificateAuthorityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateDomain(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateDomainAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateWebsiteAuthorizationProvider(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateWebsiteAuthorizationProviderAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateWebsiteCertificateAuthority(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateWebsiteCertificateAuthorityAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDevices(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDevicesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listDomains(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listDomainsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listFleets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listFleetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listWebsiteAuthorizationProviders(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listWebsiteAuthorizationProvidersAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listWebsiteCertificateAuthorities(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listWebsiteCertificateAuthoritiesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result restoreDomainAccess(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise restoreDomainAccessAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result revokeDomainAccess(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise revokeDomainAccessAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result signOutUser(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise signOutUserAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateAuditStreamConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateAuditStreamConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateCompanyNetworkConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateCompanyNetworkConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDevicePolicyConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDevicePolicyConfigurationAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateDomainMetadata(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateDomainMetadataAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateFleetMetadata(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateFleetMetadataAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateIdentityProviderConfiguration(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateIdentityProviderConfigurationAsync(array $args = [])
 */
class WorkLinkClient extends AwsClient {}
