<?php

namespace MediaCloud\Vendor\Aws\WorkSpaces;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * Amazon WorkSpaces client.
 *
 * @method \MediaCloud\Vendor\Aws\Result associateIpGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise associateIpGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result authorizeIpRules(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise authorizeIpRulesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result copyWorkspaceImage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise copyWorkspaceImageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createIpGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createIpGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createWorkspaces(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createWorkspacesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteIpGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteIpGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteWorkspaceImage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteWorkspaceImageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deregisterWorkspaceDirectory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deregisterWorkspaceDirectoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeAccountModifications(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeAccountModificationsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeClientProperties(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeClientPropertiesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeIpGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeIpGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeTags(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeTagsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeWorkspaceBundles(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeWorkspaceBundlesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeWorkspaceDirectories(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeWorkspaceDirectoriesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeWorkspaceImagePermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeWorkspaceImagePermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeWorkspaceImages(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeWorkspaceImagesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeWorkspaceSnapshots(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeWorkspaceSnapshotsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeWorkspaces(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeWorkspacesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result describeWorkspacesConnectionStatus(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise describeWorkspacesConnectionStatusAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result disassociateIpGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise disassociateIpGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result importWorkspaceImage(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise importWorkspaceImageAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listAvailableManagementCidrRanges(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listAvailableManagementCidrRangesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result migrateWorkspace(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise migrateWorkspaceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyAccount(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyAccountAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyClientProperties(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyClientPropertiesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifySelfservicePermissions(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifySelfservicePermissionsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyWorkspaceAccessProperties(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyWorkspaceAccessPropertiesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyWorkspaceCreationProperties(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyWorkspaceCreationPropertiesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyWorkspaceProperties(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyWorkspacePropertiesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result modifyWorkspaceState(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise modifyWorkspaceStateAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result rebootWorkspaces(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise rebootWorkspacesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result rebuildWorkspaces(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise rebuildWorkspacesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result registerWorkspaceDirectory(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise registerWorkspaceDirectoryAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result restoreWorkspace(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise restoreWorkspaceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result revokeIpRules(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise revokeIpRulesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result startWorkspaces(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise startWorkspacesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result stopWorkspaces(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise stopWorkspacesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result terminateWorkspaces(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise terminateWorkspacesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateRulesOfIpGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateRulesOfIpGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateWorkspaceImagePermission(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateWorkspaceImagePermissionAsync(array $args = [])
 */
class WorkSpacesClient extends AwsClient {}
