<?php

namespace MediaCloud\Vendor\Aws\XRay;
use MediaCloud\Vendor\Aws\AwsClient;

/**
 * This client is used to interact with the **AWS X-Ray** service.
 * @method \MediaCloud\Vendor\Aws\Result batchGetTraces(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise batchGetTracesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result createSamplingRule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise createSamplingRuleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result deleteSamplingRule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise deleteSamplingRuleAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getEncryptionConfig(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getEncryptionConfigAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getGroups(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getGroupsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSamplingRules(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSamplingRulesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSamplingStatisticSummaries(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSamplingStatisticSummariesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getSamplingTargets(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getSamplingTargetsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getServiceGraph(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getServiceGraphAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getTimeSeriesServiceStatistics(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getTimeSeriesServiceStatisticsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getTraceGraph(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getTraceGraphAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result getTraceSummaries(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise getTraceSummariesAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result listTagsForResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putEncryptionConfig(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putEncryptionConfigAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putTelemetryRecords(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putTelemetryRecordsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result putTraceSegments(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise putTraceSegmentsAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result tagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result untagResource(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateGroup(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateGroupAsync(array $args = [])
 * @method \MediaCloud\Vendor\Aws\Result updateSamplingRule(array $args = [])
 * @method \MediaCloud\Vendor\GuzzleHttp\Promise\Promise updateSamplingRuleAsync(array $args = [])
 */
class XRayClient extends AwsClient {}
